/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

// This is the omni2foo implementation.  Take the filename as arg, open it
// Need to add in some error checking, bad file etc...
// Check the input from the file to make sure it agrees with what we are
// looking for.  Right now, its a use-at-your-own-risk. Will work fine with
// tested DB file.
#include "omni2foo.h"


// Default constructor
omni2foo::omni2foo()
{
}

omni2foo::omni2foo(string fileName)
{
   ifstream file;
   string fooID;
   string printerName;

   file.open(fileName.c_str());
   while(!file.eof())
   {

         file >> printerName;
         file >> fooID;
         _mPrinterMap[printerName] = fooID;
   }
}

omni2foo::~omni2foo() 
{
   // nothing to destroy, its all on the stack
}

string omni2foo::getFooIDFromString(string printerName)
{
   // lowercase all characters
   transform (printerName.begin(), printerName.end(),    // source
              printerName.begin(),                       // destination
              tolower);                                  // operation
   return _mPrinterMap[printerName];
}

string omni2foo::getPrinterNameFromFooID(string fooID)
{
   string printerName("");
   return printerName;
}
